<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.axzo.msg.center.dal.mapper.MNSChannelMessageTemplateMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="cn.axzo.msg.center.domain.entity.MNSChannelMessageTemplate">
        <id column="id" property="id" />
        <result column="inner_template_no" property="innerTemplateNo" />
        <result column="template_no" property="templateNo" />
        <result column="channel_code" property="channelCode" />
        <result column="channel_name" property="channelName" />
        <result column="title" property="title" />
        <result column="template_content" property="templateContent" />
        <result column="type" property="type" />
        <result column="status" property="status" />
        <result column="has_param" property="hasParam" />
        <result column="remark" property="remark" />
        <result column="reason" property="reason" />
        <result column="create_at" property="createAt" />
        <result column="update_at" property="updateAt" />
        <result column="create_by" property="createBy" />
        <result column="update_by" property="updateBy" />
        <result column="is_delete" property="isDelete" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, inner_template_no, template_no, channel_code, channel_name, title, template_content, type, status, has_param, remark, reason, create_at, update_at, create_by, update_by, is_delete
    </sql>
    <delete id="deleteByTemplateNo">
        delete from mns_channel_message_template where inner_template_no = #{templateNo}
    </delete>

</mapper>
